Validate a License's key for a project
POST/projects/ {projectId}/ actions/ validate-license-key/
v2
POST
license-validate-license-key-for-project
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-X POST \
-d '{"key":"string","kind":"typo3-elts"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/f0f86186-0a5a-45b2-aa33-502777496347/actions/validate-license-key
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.license.validateLicenseKeyForProject({
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"key": "string",
"kind": "typo3-elts"
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\License\ValidateLicenseKeyForProject\ValidateLicenseKeyForProjectRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\License\ValidateLicenseKeyForProject\ValidateLicenseKeyForProjectRequestBody;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
// TODO: Please consult the properties and constructor signature of
// ValidateLicenseKeyForProjectRequestBody to learn how to construct a valid instance
$body = new ValidateLicenseKeyForProjectRequestBody(/* TODO: ... */);
$request = (new ValidateLicenseKeyForProjectRequest(
projectId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->license()->validateLicenseKeyForProject($request);
var_dump($response->getBody();